const {doAfterLoad} = (window as any).fwdekker;

import {waitForForkAwesome} from "./Common";
import {BasicIconFont, ForkAwesomeFont} from "./Display";
import {Game} from "./Game";
import {Preferences} from "./Preferences";


doAfterLoad(() => {
    const preferences = new Preferences();
    waitForForkAwesome(
        () => {
            preferences.font = new ForkAwesomeFont();
            new Game(preferences);
        },
        () => {
            alert("External font could not be loaded. Using fallback font. Is a browser extension blocking fonts?");
            preferences.font = new BasicIconFont();
            new Game(preferences);
        },
        3000
    );
});
